This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 180387 - eclipse with FTP and WebDav
eclipse with FTP and WebDav
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-07 14:15 EST by José Salgado
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-14 10:26:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description José Salgado 2006-02-07 14:15:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.8.0.1) Gecko/20060202 Fedora/1.5.0.1-2 Firefox/1.5.0.1

Description of problem:
Install the FTP Webdav plugin for eclipse from the Software Updates, choose to install FTP and Web Dav support, everythings goes fine and installs Ok. Once is installed, when I open the view Target Management->Site Explorer, gives a error:

Unable to create view: Plug-in org.eclipse.team.webdav was unable to load class org.eclipse.team.internal.ui.target.SiteExplorerView.

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.2-1jpp_4fc

How reproducible:
Always

Steps to Reproduce:
1. Open eclipse (with FTP and Web Dav)
2. Window -> Show View->Target Management->Site Explorer


Actual Results:  Show the next error:

Unable to create view: Plug-in org.eclipse.team.webdav was unable to load class org.eclipse.team.internal.ui.target.SiteExplorerView.

But I can close the view and keep on working with eclipse

Expected Results:  Be able to use the ftp view to sincronice with my web server.

Additional info:

rpm -qa eclipse*
eclipse-rcp-3.1.2-1jpp_4fc
eclipse-bugzilla-0.1.1_fc-6
eclipse-ecj-3.1.2-1jpp_4fc
eclipse-jdt-3.1.2-1jpp_4fc
eclipse-platform-3.1.2-1jpp_4fc
eclipse-platform-devel-3.1.2-1jpp_4fc
eclipse-rcp-devel-3.1.2-1jpp_4fc
eclipse-jdt-devel-3.1.2-1jpp_4fc
eclipse-pydev-0.9.3_fc-13

FTP and WebDav Support 3.0.0
Comment 1 Andrew Overholt 2006-02-08 11:50:45 EST
This happens with the Sun JVM as well.  I'm wondering if it's something to do
with the update-site-in-home-dir patch.  Ben?
Comment 2 Ben Konrath 2006-02-08 13:20:05 EST
Andrew, Can you post a stack trace? Thanks.
Comment 3 Ben Konrath 2006-02-10 00:46:39 EST
José, the problem here is that Eclipse is using the 3.0 updatesite instead of
the 3.1 updatesite. As a result, you are installing version 3.0 of the FTP
Webdav plugin which is not compatible with Eclipse 3.1. 

I've fixed the problem in both the FC-4 and the Rawhide branches. Andrew, could
you please rebuild Eclipse in Rawhide if it's too late?

José, if you don't want to wait for an update, you can edit this file:

/usr/share/eclipse/features/org.eclipse.sdk_3.1.2/feature.xml

and change these two lines:

<update label="%updateSiteName" url="http://update.eclipse.org/updates/3.0"/>
<discovery label="%updateSiteName" url="http://update.eclipse.org/updates/3.0"/>

to this:

<update label="%updateSiteName" url="http://update.eclipse.org/updates/3.1"/>
<discovery label="%updateSiteName" url="http://update.eclipse.org/updates/3.1"/>

(so all you have to change is the "3.0" to "3.1")

You should now be able to install FTP WebDav 3.1.0. You will need to uncheck
"show the latest version of a feature only" to see the FTP WebDav feature. Let
me know how it goes if you do decide to edit the file.
Comment 4 José Salgado 2006-02-13 03:02:38 EST
Works editing the files, not with the upgrading :?
Comment 5 Andrew Overholt 2006-02-13 11:53:00 EST
(In reply to comment #4)
> Works editing the files, not with the upgrading :?

You mean it works if you edit the file but not after upgrading to rawhide's
latest Eclipse packages?
Comment 6 José Salgado 2006-02-14 06:05:30 EST
Well, after some stupid things I've made I decider to delete eclipse and
reinstall from zero and now it's works.
Comment 7 Andrew Overholt 2006-02-14 10:26:19 EST
(In reply to comment #6)
> Well, after some stupid things I've made I decider to delete eclipse and
> reinstall from zero and now it's works.

Cool, thanks for letting us know.  Closing.

Note You need to log in before you can comment on or make changes to this bug.